StarCraft II Language Changed after Patching


If you experience an issue in StarCraft II where your interface language has changed, or if you are receiving an error that says “an authorized language pack is required” after the 1.5.0 patch, it is likely that your original language settings were overwritten during the patch process. We are aware of this issue and are working on a resolution at this time.


For instructions to address this issue, please see our StarCraft II - Language Issues support article.

Comments are disabled